Package org.eclipse.m2m.atl.emftvm.ant

## Class RegisterMetamodelTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask
      - - org.eclipse.m2m.atl.emftvm.ant.RegisterMetamodelTask

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class RegisterMetamodelTask
    extends EMFTVMTask

Registers an EMF metamodel.

### Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask

`RESOURCE_SET`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`RegisterMetamodelTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getFileExtension()` Returns the file extension of the instance models.
`java.lang.String` `getPackageClass()` Returns the `EPackage` class to register.
`java.lang.String` `getResourceFactoryClass()`
`protected void` `innerExecute()` Performs the actual execution.
`void` `setFileExtension​(java.lang.String fileExtension)` Sets the file extension of the instance models.
`void` `setPackageClass​(java.lang.String packageClass)` Sets the `EPackage` class to register.
`void` `setResourceFactoryClass​(java.lang.String resourceFactoryClass)`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask

`execute, getMetamodel, getModel, getResourceSet, setModel`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RegisterMetamodelTask

    public RegisterMetamodelTask()

### Method Detail

#### innerExecute

    protected void innerExecute()
                         throws java.lang.Exception

Performs the actual execution.

Specified by:
  `innerExecute` in class `EMFTVMTask`
Throws:
  `java.lang.Exception`

#### getPackageClass

    public java.lang.String getPackageClass()

Returns the `EPackage` class to register.

Returns:
  the packageClass

#### setPackageClass

    public void setPackageClass​(java.lang.String packageClass)

Sets the `EPackage` class to register.

Parameters:
  `packageClass` - the packageClass to set

#### getResourceFactoryClass

    public java.lang.String getResourceFactoryClass()

Returns:
  the resourceFactoryClass

#### setResourceFactoryClass

    public void setResourceFactoryClass​(java.lang.String resourceFactoryClass)

Parameters:
  `resourceFactoryClass` - the resourceFactoryClass to set

#### getFileExtension

    public java.lang.String getFileExtension()

Returns the file extension of the instance models.

Returns:
  the fileExtension

#### setFileExtension

    public void setFileExtension​(java.lang.String fileExtension)

Sets the file extension of the instance models.

Parameters:
  `fileExtension` - the fileExtension to set